# $Revision: 1.17 $, $Date: 2004/12/24 21:45:44 $

%define		module	Gnuplot

Summary:	A Python interface to the gnuplot plotting program
Summary(pl):	Interfejs dla Pythona do programu tworzcego wykresy - gnuplot
Name:		python-%{module}
Version:	1.5
Release:	7
License:	GPL
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/gnuplot-py/%{module}-%{version}.tar.gz
# Source0-md5:	94da6c11af51d5872c498e59fd31c9a0
URL:		http://gnuplot-py.sourceforge.net/
BuildRequires:	python >= 2.2.1
BuildRequires:	python-numpy
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Requires:	gnuplot
Requires:	python-numpy
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gnuplot.py is a Python package that allows you to create graphs from
within Python using the gnuplot plotting program.

%description -l pl
Gnuplot.py jest moduem Pythona pozwalajcym na tworzenie wykresw z
poziomu Pythona uywajc do tego programu gnuplot.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install \
	--root=$RPM_BUILD_ROOT

mv -f doc html

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ANNOUNCE.txt README.txt NEWS.txt CREDITS.txt TODO.txt Gnuplot.html html
%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-Gnuplot.spec,v $
Revision 1.17  2004/12/24 21:45:44  arekm
- rel 7

Revision 1.16  2004/07/28 08:03:16  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.15  2004/05/26 21:15:21  ankry
- capitalization, tabs, other cosmetics

Revision 1.14  2004/01/19 12:18:06  jajcus
- Release: 6
- new architecture-independent python modules paths

Revision 1.13  2003/12/01 23:17:54  matkor
- Release 5. Ac rebuild with changed Pythons ABI.

Revision 1.12  2003/08/18 08:09:30  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/05/28 13:01:28  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:25:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/03/10 14:37:09  qboosh
- working Source URL

Revision 1.8  2002/07/23 20:13:04  marcus
- use new %%doc
- rel. 4.

Revision 1.7  2002/04/13 17:46:51  kloczek
- rebuild against python 2.2.1.

Revision 1.6  2002/04/11 14:01:05  wrobell
- rel. 3, stb

Revision 1.5  2002/04/11 13:45:33  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.4  2002/03/22 10:57:34  wrobell
- fixed install and build requirements
- noarch
- rel. 2
- stb

Revision 1.3  2002/03/21 13:07:00  ankry
- typo in Source URL

Revision 1.2  2002/03/21 09:24:00  qboosh
- pl spelling

Revision 1.1  2002/03/20 20:47:38  filon
- new package, STBR ready
